=== modified file 'drizzled/field/decimal.cc'
--- drizzled/field/decimal.cc	2011-02-03 23:19:16 +0000
+++ drizzled/field/decimal.cc	2011-02-03 23:41:51 +0000
@@ -50,8 +50,7 @@
   {
     precision= class_decimal_length_to_precision(len_arg, dec_arg, false);
     set_if_smaller(precision, (uint32_t)DECIMAL_MAX_PRECISION);
-    assert((precision <= DECIMAL_MAX_PRECISION) &&
-           (dec <= DECIMAL_MAX_SCALE));
+    assert((precision <= DECIMAL_MAX_PRECISION) && (dec <= DECIMAL_MAX_SCALE));
     bin_size= class_decimal_get_binary_size(precision, dec);
   }
 

=== modified file 'drizzled/field/num.cc'
--- drizzled/field/num.cc	2010-12-25 01:27:46 +0000
+++ drizzled/field/num.cc	2011-02-03 23:41:51 +0000
@@ -32,14 +32,25 @@
 /**
   Numeric fields base class constructor.
 */
-Field_num::Field_num(unsigned char *ptr_arg,uint32_t len_arg, unsigned char *null_ptr_arg,
-                     unsigned char null_bit_arg, utype unireg_check_arg,
+Field_num::Field_num(unsigned char *ptr_arg,
+                     uint32_t len_arg,
+                     unsigned char *null_ptr_arg,
+                     unsigned char null_bit_arg,
+                     utype unireg_check_arg,
                      const char *field_name_arg,
-                     uint8_t dec_arg, bool zero_arg, bool unsigned_arg)
-  :Field(ptr_arg, len_arg, null_ptr_arg, null_bit_arg,
-         unireg_check_arg, field_name_arg),
-  dec(dec_arg),decimal_precision(zero_arg), unsigned_flag(unsigned_arg)
-{
+                     uint8_t dec_arg,
+                     bool zero_arg,
+                     bool unsigned_arg) :
+  Field(ptr_arg,
+        len_arg,
+        null_ptr_arg,
+        null_bit_arg,
+        unireg_check_arg,
+        field_name_arg),
+  dec(dec_arg),
+  decimal_precision(zero_arg),
+  unsigned_flag(unsigned_arg)
+  {
 }
 
 

=== modified file 'drizzled/table/instance/base.cc'
--- drizzled/table/instance/base.cc	2011-02-03 06:31:52 +0000
+++ drizzled/table/instance/base.cc	2011-02-03 23:41:51 +0000
@@ -1982,19 +1982,19 @@
                                       field_charset);
   case DRIZZLE_TYPE_BLOB:
     return new (&mem_root) Field_blob(ptr,
-                                 null_pos,
-                                 null_bit,
-                                 field_name,
-                                 this,
-                                 field_charset);
+                                      null_pos,
+                                      null_bit,
+                                      field_name,
+                                      this,
+                                      field_charset);
   case DRIZZLE_TYPE_DECIMAL:
     return new (&mem_root) Field_decimal(ptr,
-                                    field_length,
-                                    null_pos,
-                                    null_bit,
-                                    unireg_check,
-                                    field_name,
-                                    decimals);
+                                         field_length,
+                                         null_pos,
+                                         null_bit,
+                                         unireg_check,
+                                         field_name,
+                                         decimals);
   case DRIZZLE_TYPE_DOUBLE:
     return new (&mem_root) Field_double(ptr,
                                    field_length,

=== modified file 'drizzled/type/decimal.cc'
--- drizzled/type/decimal.cc	2011-02-03 23:19:16 +0000
+++ drizzled/type/decimal.cc	2011-02-03 23:41:51 +0000
@@ -2554,7 +2554,7 @@
 {
   drizzled::String str;
 
-  class_decimal2string(E_DEC_OK, &dec, 20, &str);
+  class_decimal2string(E_DEC_FATAL_ERROR, &dec, 0, &str);
 
   output << "type::Decimal:(";
   output <<  str.c_ptr();

